/// <reference types="node" />
import { Commitment, Connection, PublicKey, PublicKeyInitData } from '@solana/web3.js';
import { ChainId } from '@wormhole-foundation/connect-sdk';
export declare function deriveWrappedMintKey(tokenBridgeProgramId: PublicKeyInitData, tokenChain: number | ChainId, tokenAddress: Buffer | Uint8Array): PublicKey;
export declare function deriveWrappedMetaKey(tokenBridgeProgramId: PublicKeyInitData, mint: PublicKeyInitData): PublicKey;
export declare function getWrappedMeta(connection: Connection, tokenBridgeProgramId: PublicKeyInitData, mint: PublicKeyInitData, commitment?: Commitment): Promise<WrappedMeta>;
export declare class WrappedMeta {
    chain: number;
    tokenAddress: Buffer;
    originalDecimals: number;
    lastUpdatedSequence?: bigint;
    constructor(chain: number, tokenAddress: Buffer, originalDecimals: number, lastUpdatedSequence?: bigint);
    static deserialize(data: Buffer): WrappedMeta;
}
//# sourceMappingURL=wrapped.d.ts.map